Customers
Revoke customer pairing link
Revokes an open pairing link.
Requires customers:manage. Project tokens only access resources in their own project.
DELETE
/
platform
/
customers
/
{customerId}
/
pairing-links
/
{pairingLinkId}
Revoke customer pairing link
curl --request DELETE \
--url https://api.polymorfa.com/platform/customers/{customerId}/pairing-links/{pairingLinkId} \
--header 'Authorization: Bearer <token>'const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.polymorfa.com/platform/customers/{customerId}/pairing-links/{pairingLinkId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.polymorfa.com/platform/customers/{customerId}/pairing-links/{pairingLinkId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.polymorfa.com/platform/customers/{customerId}/pairing-links/{pairingLinkId}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}false{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expectedPhoneMasked": "<string>",
"methods": [
"qr"
],
"locale": "en",
"theme": "light",
"expiresAt": 123,
"status": "active",
"attemptCount": 1,
"maxAttempts": 10,
"pendingSessionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdBy": "<string>",
"reservedAt": 123,
"openedAt": 123,
"connectingAt": 123,
"connectedAt": 123,
"failedAt": 123,
"expiredAt": 123,
"revokedAt": 123,
"lastErrorCode": "<string>",
"failedExchangeCount": 2,
"phoneMismatchCount": 1,
"createdAt": 123,
"updatedAt": 123
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"request_log_url": "<string>"
},
"data": null,
"docs": "<string>"
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"request_log_url": "<string>"
},
"data": null,
"docs": "<string>"
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"request_log_url": "<string>"
},
"data": null,
"docs": "<string>"
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"request_log_url": "<string>"
},
"data": null,
"docs": "<string>"
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"request_log_url": "<string>"
},
"data": null,
"docs": "<string>"
}Authorizations
Send your team API key or project token as Authorization: Bearer <token>. The credential must have the required permissions. Project tokens can access only their own project.
Path Parameters
Identifier for the customer.
Value constraints
| Constraint | Accepted input |
|---|---|
| Format | uuid |
Identifier for the pairing link.
Query Parameters
Identifier of the Polymorfa project that owns this resource.
Response
Success
Structured data carried by this object.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Revoke customer pairing link
curl --request DELETE \
--url https://api.polymorfa.com/platform/customers/{customerId}/pairing-links/{pairingLinkId} \
--header 'Authorization: Bearer <token>'const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.polymorfa.com/platform/customers/{customerId}/pairing-links/{pairingLinkId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.polymorfa.com/platform/customers/{customerId}/pairing-links/{pairingLinkId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.polymorfa.com/platform/customers/{customerId}/pairing-links/{pairingLinkId}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}false{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expectedPhoneMasked": "<string>",
"methods": [
"qr"
],
"locale": "en",
"theme": "light",
"expiresAt": 123,
"status": "active",
"attemptCount": 1,
"maxAttempts": 10,
"pendingSessionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdBy": "<string>",
"reservedAt": 123,
"openedAt": 123,
"connectingAt": 123,
"connectedAt": 123,
"failedAt": 123,
"expiredAt": 123,
"revokedAt": 123,
"lastErrorCode": "<string>",
"failedExchangeCount": 2,
"phoneMismatchCount": 1,
"createdAt": 123,
"updatedAt": 123
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"request_log_url": "<string>"
},
"data": null,
"docs": "<string>"
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"request_log_url": "<string>"
},
"data": null,
"docs": "<string>"
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"request_log_url": "<string>"
},
"data": null,
"docs": "<string>"
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"request_log_url": "<string>"
},
"data": null,
"docs": "<string>"
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"request_log_url": "<string>"
},
"data": null,
"docs": "<string>"
}